Skip to main content
GET
/
v1
/
environments
/
{environmentId}
/
skills-registries
List Skill Registries
curl --request GET \
  --url https://api.tryreplicas.com/v1/environments/{environmentId}/skills-registries \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tryreplicas.com/v1/environments/{environmentId}/skills-registries"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tryreplicas.com/v1/environments/{environmentId}/skills-registries', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "registries": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "url": "<string>",
      "repository_full_name": "<string>",
      "default_branch": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "repo_skills": [
        {
          "id": "<string>",
          "repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "repository_full_name": "<string>",
          "branch": "<string>",
          "path": "<string>",
          "name": "<string>",
          "description": "<string>",
          "html_url": "<string>"
        }
      ],
      "error": "<string>"
    }
  ]
}
{
  "error": "<string>",
  "details": "<string>"
}
{
  "error": "<string>",
  "details": "<string>"
}
{
  "error": "<string>",
  "details": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the Replicas dashboard under Preferences → Organization → Settings → API Keys.

Path Parameters

environmentId
string
required

Environment UUID, or the literal string global.

Response

Successful response

registries
object[]
required